REDROOM
PHP 8.3.31
Path:
Logout
Edit File
Size: 967 B
Close
/home/getspomw/royalsquad.us/vendor/maxmind/web-service-common/dev-bin/release.sh
Text
Base64
#!/bin/bash set -eu -o pipefail changelog=$(cat CHANGELOG.md) regex=' ([0-9]+\.[0-9]+\.[0-9]+) \(([0-9]{4}-[0-9]{2}-[0-9]{2})\) -* ((.| )*) ' if [[ ! $changelog =~ $regex ]]; then echo "Could not find date line in change log!" exit 1 fi version="${BASH_REMATCH[1]}" date="${BASH_REMATCH[2]}" notes="$(echo "${BASH_REMATCH[3]}" | sed -n -E '/^[0-9]+\.[0-9]+\.[0-9]+/,$!p')" if [[ "$date" != $(date +"%Y-%m-%d") ]]; then echo "$date is not today!" exit 1 fi tag="v$version" if [ -n "$(git status --porcelain)" ]; then echo ". is not clean." >&2 exit 1 fi php composer.phar self-update php composer.phar update ./vendor/bin/phpunit echo "Release notes for $tag:" echo "$notes" read -e -p "Commit changes and push to origin? " should_push if [ "$should_push" != "y" ]; then echo "Aborting" exit 1 fi git push gh release create --target "$(git branch --show-current)" -t "$version" -n "$notes" "$tag" git push --tags
Save
Close
Exit & Reset
Text mode: syntax highlighting auto-detects file type.
Directory Contents
Dirs: 0 × Files: 1
Delete Selected
Select All
Select None
Sort:
Name
Size
Modified
Enable drag-to-move
Name
Size
Perms
Modified
Actions
release.sh
967 B
lrw-rw-rw-
2024-11-14 09:44:52
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
Zip Selected
If ZipArchive is unavailable, a
.tar
will be created (no compression).